Subject: bug#2264 closed by Adrian Robert <[email-masked]> (Re: Failed to build emacs 23.0.90 on Ubuntu 8.10 (x86_64))

From: [email-masked] (Emacs bug Tracking System)
Date: Fri, 06 Mar 2009 19:15:04 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs,ns package:

#2264: Failed to build emacs 23.0.90 on Ubuntu 8.10 (x86_64)

It has been closed by Adrian Robert <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Adrian Robert <[email-masked]> by
replying to this email.

-- 
2264: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2264
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Failed to build emacs 23.0.90 on Ubuntu 8.10 (x86_64)
From: Adrian Robert <[email-masked]>
To: Yavor Doganov <[email-masked]>
Cc: [email-masked]
Date: Fri, 6 Mar 2009 21:05:48 +0200

>
>> Regarding the signal.h include in nsterm, can you provide some
>> background or a mailing list archive link as to why it is needed?
>
> This is where the signal names are defined on glibc-based systems:

OK, thanks, this must be for the SIGTERM use in ns_term_shutdown.  On  
OS X it must already come in from somewhere, so including it will do  
no harm.  I'm checking it in.

You should still send the papers in though so we can use further  
stuff you come up with in the future.

;)

Subject: Re: Failed to build emacs 23.0.90 on Ubuntu 8.10 (x86_64)
From: Yavor Doganov <[email-masked]>
To: [email-masked]
Date: Tue, 10 Feb 2009 09:55:18 +0200

Thank you for trying to build the GNUstep port.  I've been holding
these changes for far too long.

(I wonder why this message didn't get a bug number assigned?  Perhaps
because it was posted to the newsgroup first...)

2009-02-10  Yavor Doganov  <[email-masked]>  (tiny change)

	* nsterm.m: Include <signal.h>.

	* nsfns.m (ns_appkit_version_int): Fix typo in the version macro.

Index: src/nsfns.m
===================================================================
RCS file: /sources/emacs/emacs/src/nsfns.m,v
retrieving revision 1.36
diff -u -r1.36 nsfns.m
--- src/nsfns.m	23 Jan 2009 09:58:03 -0000	1.36
+++ src/nsfns.m	10 Feb 2009 07:47:51 -0000
@@ -974,7 +974,7 @@
 ns_appkit_version_int ()
 {
 #ifdef NS_IMPL_GNUSTEP
-  return GNUSTEP_GUI_MAJOR_VERSION * 100 + GNUSTEP_GNU_MINOR_VERSION;
+  return GNUSTEP_GUI_MAJOR_VERSION * 100 + GNUSTEP_GUI_MINOR_VERSION;
 #elif defined(NS_IMPL_COCOA)
   return (int)NSAppKitVersionNumber;
 #endif
Index: src/nsterm.m
===================================================================
RCS file: /sources/emacs/emacs/src/nsterm.m,v
retrieving revision 1.58
diff -u -r1.58 nsterm.m
--- src/nsterm.m	7 Feb 2009 11:04:07 -0000	1.58
+++ src/nsterm.m	10 Feb 2009 07:47:54 -0000
@@ -30,6 +30,7 @@
 #include "config.h"
 
 #include <math.h>
+#include <signal.h>
 #include <sys/types.h>
 #include <time.h>
 #include <unistd.h>